"use strict";
const common_vendor = require("../../../common/vendor.js");
const _sfc_main = {
  __name: "OrderDetails",
  setup(__props) {
    const Status = common_vendor.ref({});
    console.log(Status.value, 34);
    common_vendor.onLoad((options) => {
      Status.value = JSON.parse(options.info);
      console.log(Status.value, 111);
      console.log(Status.value.orderStatus, 222);
    });
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.t(Status.value.addressSnapshot.name + Status.value.addressSnapshot.phone),
        b: common_vendor.t(Status.value.addressSnapshot.region + Status.value.addressSnapshot.detailAddress),
        c: common_vendor.f(Status.value.orderItemList, (i, k0, i0) => {
          return {
            a: i.goodSnapshot.goodImg,
            b: i
          };
        }),
        d: common_vendor.f(Status.value.orderItemList, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.goodSnapshot.name),
            b: i
          };
        }),
        e: common_vendor.f(Status.value.orderItemList, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.goodSnapshot.type),
            b: i
          };
        }),
        f: common_vendor.f(Status.value.orderItemList, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.goodSnapshot.price),
            b: i
          };
        }),
        g: common_vendor.f(Status.value.orderItemList, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.goodSnapshot.price),
            b: i
          };
        }),
        h: common_vendor.t(Status.value.orderNumber),
        i: common_vendor.f(Status.value.orderItemList, (i, k0, i0) => {
          return {
            a: common_vendor.t(i.goodSnapshot.price),
            b: i
          };
        }),
        j: Status.value.orderStatus === "待支付"
      }, Status.value.orderStatus === "待支付" ? {} : {}, {
        k: Status.value.orderStatus === "待发货"
      }, Status.value.orderStatus === "待发货" ? {} : {}, {
        l: Status.value.orderStatus === "待收货"
      }, Status.value.orderStatus === "待收货" ? {} : {}, {
        m: Status.value.orderStatus === "待收货"
      }, Status.value.orderStatus === "待收货" ? {} : {}, {
        n: Status.value.orderStatus === "售后"
      }, Status.value.orderStatus === "售后" ? {} : {});
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-add9df0c"], ["__file", "D:/微信小程序/课设整合/匠承非遗小程序端/jiangchengfeiyi-xiaochengxu/pages/mine/OrderDetails/OrderDetails.vue"]]);
wx.createPage(MiniProgramPage);
